Z8530_RX_DONE(9)

NAME
z8530_rx_done - Receive completion callback

SYNOPSIS

void z8530_rx_done(struct z8530_channel * c);

ARGUMENTS

c
    The channel that completed a receive

DESCRIPTION

A new packet is complete. Our goal here is to get back into receive mode as fast as possible. On the Z85230 we could change to using ESCC mode, but on the older chips we have no choice. We flip to the new buffer immediately in DMA mode so that the DMA of the next frame can occur while we are copying the previous buffer to an sk_buff

Called with the lock held

AUTHOR

Alan Cox <alan@lxorguk.ukuu.org.uk>
    Author.

COPYRIGHT